Bump base dependency to >= 4.5 (#18).
authorDavid Terei <code@davidterei.com>
Mon, 19 Jan 2015 08:11:19 +0000 (00:11 -0800)
committerDavid Terei <code@davidterei.com>
Mon, 19 Jan 2015 08:12:02 +0000 (00:12 -0800)
Support SafeHaskell and Generics, both of which require GHC 7.4 or
greater.

pretty.cabal

index 25898c4..89e739c 100644 (file)
@@ -31,7 +31,7 @@ Library
         Text.PrettyPrint
         Text.PrettyPrint.HughesPJ
         Text.PrettyPrint.HughesPJClass
-    build-depends: base >= 3 && < 5,
+    build-depends: base >= 4.5 && < 5,
                    deepseq >= 1.1,
                    ghc-prim
     extensions: CPP, BangPatterns, DeriveGeneric
@@ -41,7 +41,7 @@ Test-Suite test-pretty
     type: exitcode-stdio-1.0
     hs-source-dirs: tests
                     src
-    build-depends: base >= 3 && < 5,
+    build-depends: base >= 4.5 && < 5,
                    deepseq >= 1.1,
                    ghc-prim,
                    QuickCheck >= 2.5 && <3